<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { useJoueurStore } from '@/stores/joueur'
import { RouterLink } from 'vue-router'
import { UserCircleIcon } from '@heroicons/vue/20/solid'
import router from '@/router'
import { useGlobalStore } from '@/stores/global'

const joueurStore = useJoueurStore()
const authStore = useAuthStore()
const globalStore = useGlobalStore()

const logout = async () => {
  await authStore.logout()
  globalStore.reset()

  router.push('/')
}
</script>

<template>
  <ul>
    <RouterLink to="/partie" v-if="joueurStore.currentJoueur">
      <li>
        <a>Créer une partie</a>
      </li>
    </RouterLink>
    <RouterLink to="/partie/join" v-if="joueurStore.currentJoueur">
      <li>
        <a>Rejoindre une partie</a>
      </li>
    </RouterLink>
    <RouterLink to="/playlists" v-if="joueurStore.currentJoueur">
      <li>
        <a>Mes playlists</a>
      </li>
    </RouterLink>
    <RouterLink to="/chansons" v-if="joueurStore.currentJoueur">
      <li>
        <a>Mes titres</a>
      </li>
    </RouterLink>
    <RouterLink to="/login" v-if="!joueurStore.currentJoueur">
      <li>
        <a>Se connecter</a>
      </li>
    </RouterLink>
    <RouterLink to="/register" v-if="!joueurStore.currentJoueur">
      <li>
        <a>S'inscrire</a>
      </li>
    </RouterLink>
    <li v-if="joueurStore.currentJoueur">
      <a @click="logout">Se déconnecter</a>
    </li>
    <li v-if="joueurStore.currentJoueur">
      <div class="flex">
        <UserCircleIcon class="min-h-8 max-h-8 fill-secondary" />
        <span>{{ joueurStore.currentJoueur.pseudo ?? joueurStore.currentJoueur.login }}</span>
      </div>
    </li>
  </ul>
</template>
